Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class BindingType

    java.lang.Object
      |
      +--org.omg.CosNaming.BindingType

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class BindingType
extends java.lang.Object
implements IDLEntity

The BindingType defines the possible node type. Indeed, it is possible to have two kinds of nodes into the naming graph. An object ( identify by nobject ) or a naming context ( identify by ncontext ).

See Also:
  Serialized Form

Field Summary
`static int` | `_ncontext` Enum member ncontext value
`static int` | `_nobject` Enum member nobject value
`static BindingType` | `ncontext` Enum member ncontext
`static BindingType` | `nobject` Enum member nobject

Method Summary
`static BindingType` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _nobject

    public static final int _nobject

  Enum member nobject value

### nobject

    public static final BindingType nobject

  Enum member nobject

### _ncontext

    public static final int _ncontext

  Enum member ncontext value

### ncontext

    public static final BindingType ncontext

  Enum member ncontext

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static BindingType from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD